RAND_egd(3)

NAME
RAND_egd - query entropy gathering daemon

LIBRARY
libcrypto, -lcrypto

SYNOPSIS

 #include <openssl/rand.h>
 int RAND_egd(const char *path);

DESCRIPTION
RAND_egd() queries the entropy gathering daemon EGD on socket path.

EGD is available from http://www.lothar.com/tech/crypto/ (perl Makefile.PL; make; make install to install). It is run as egd path, where path is an absolute path designating a socket. When RAND_egd() is called with that path as an argument, it tries to read random bytes that EGD has collected. The read is performed in non-blocking mode.

RETURN VALUE
RAND_egd() returns the number of bytes read from the daemon on success, and -1 if the connection failed or the daemon did not return enough data to fully seed the PRNG.

SEE ALSO
the rand(3)|rand(3) manpage, the RAND_add(3)|RAND_add(3) manpage, the RAND_cleanup(3)|RAND_cleanup(3) manpage

HISTORY
RAND_egd() is available since OpenSSL 0.9.5.